function [Sindx, Uindx, PIS, PIU] = indf(index_s, PI)
% index function to matrix function
%  index_s :,    1 x T array  (time)
% PI :  N x 1 array (type)
T  = length(index_s);
N = length(PI);

Sindx = zeros(N,T);
ssind  = repmat((1:N)',1,T) ; % create row index
indexx = repmat(index_s, N, 1) ; % index_s is an 1 x T array
Sindx(indexx <= ssind) =1;  % This is constructed by 0 and 1
Uindx = 1-Sindx;
PIS = repmat(PI,1,T).*Sindx ;
PIU = repmat(PI,1,T).*Uindx;

 
end

