function  [indxx, wp] = s_indxss(xss, parmf, parmU,talent, parmtt ,indx_s)
% Compute steady state skill premium and index

uu = xss(1:4,:)';
[~,~,~,ws,wu] = korv1(uu,parmf);

phi = xss(6:end, :); 

N = size(talent,1);
Theta = talent(:,1);
PI = talent(:,2);
zu = lprod(Theta,parmtt(:,:,1));
zs = lprod(Theta, parmtt(:,:,2));

ind = (1:N)';

indxx = min( ind( zs.*ws > zu.*wu ) );
zNu = uu(2); zNs =uu(4);
[~,PNu,PNs] = PNweight(phi, parmU,  talent, parmtt ,indx_s ) ;
[Sindx, Uindx, PIS, PIU] = indf(indx_s, PI); 
ZPI_U =  repmat(sum(PIU.*zu,1),N,1).*Uindx; % 
ZPI_S =  repmat(sum(PIS.*zs ,1), N, 1).*Sindx;
ZNS = repmat(zNs', N,1).*Sindx;
ZNU=  repmat(zNu', N,1).*Uindx;
n  = 1-(PNu+PNs).*(  ZPI_U+ZPI_S  -  ZNS-ZNU ); 
ZS = zNs./ sum(n.*PIS,1)';
ZU =zNu./sum(n.*PIU,1)'; 

wp = (ZS.*ws)./(ZU.*wu) ;


end