function y = facprod(x)
% Create an factorial product array
% We allow  factorial on non-integers
% x : the orignal array (i.e, interest rate)
%     Note x is an Tx1 array
% y : continuous product array
T = length(x);
A = repmat(x,1,T);
for i=2:T
   A(i-1,i:end)=1; 
   A(i:end,i)= x(1:end-i+1);
end
y = fliplr(prod(A))';
end

