function [xi ,  xi_Lu, xi_Ke, xi_Ls] = wp1( x,parmf, zs,zu )
%skill  premium calculation

sigma = parmf(2);
rho = parmf(4);
lambda = parmf(5);


Nu = x(:,2);
Ke =  x(:,3);
Ns = x(:,4);



[~,~,~, MPLs, MPLu] = korv1(x, parmf);

xi = (MPLs./MPLu).*(zs./zu) ;


ZZ =(lambda *  (Ke./Ns).^rho + 1-lambda ).^(1./rho) ;

ZZ_Ns = -lambda*ZZ.^(1-rho).*(Ke./Ns).^(rho-1) .*  Ke./ Ns.^2 ;
ZZ_Ke = lambda*ZZ.^(1-rho).*(Ke./Ns).^(rho-1) ./ Ns ;

xi_Lu = (1-sigma)*xi./Nu ;
xi_Ls = (sigma -1) * xi./Ns + (sigma-rho).*xi./ZZ  .*ZZ_Ns ;
xi_Ke = (sigma-rho).*xi./ZZ .* ZZ_Ke;



end
