function y = swf(c,n,parmU, parmp, talent)
global beta
psi = parmp.weight;
PI = talent(:,2);

% infinite sumation
LFU = inf_sum(util_mat(c,n,parmU)',beta)';

% Total social welfare with Pareto weight psi, population mas PI
y.sw = sum(PI.*psi.*LFU);


% consumption part
gamma_c = parmU(1);
gamma_n = parmU(2);
chi = parmU(3);

uc = c.^(1-gamma_c)/(1-gamma_c);
ul = chi*(1-n).^(1-gamma_n)./(1-gamma_n);

inf_uc = inf_sum(uc',beta)';
inf_ul  = inf_sum(ul',beta)';


y.c = sum(PI.*psi.*inf_uc);
y.l =sum(PI.*psi.*inf_ul);


end

