function I = impbc1_tt(c , n , parmU, varargin)
%Implementability constraint of infinite sum part
% c and n are matrix form  (NxT)
global beta


[uc, vn] = utilm(c,n,parmU);
St = (uc.*c + vn.*n)' ;
I = inf_sum(St,beta)';
end


function [uc, vn]= utilm(c,n ,parmU)
% matrix form;
gamma_c = parmU(1);
gamma_n = parmU(2);
chi = parmU(3);

uc = c.^(-gamma_c);
vn = -chi*(1-n).^(-gamma_n);

end