% Mirrleesian taxation  with capital-skilled complementary  
qt = q;
load CEext.mat 
T = length(q);     
parmtt= parmtz;%.*ones(T,1);
sigmas = parmf(2);
trd = threshold0(1);%*ones(T,1);
guess = reshape(xce(1:5*T)  ,T,5); x1 = guess(1,1:5)';   
K0 = K00; M = size(talent,1);
 
 
% Set empty array
solfb= zeros(T,5);     errfb = ones(T,1);  
icss = zeros(M,T);  % IC constraint in each steady state
 
Xtfb2 = zeros(T,5);
cdelta = Theta(2) - Theta(1);
optionfb = optimset('Display','off');
JJ =20;  % Criterion for converge 
ii =1;
parmfs = parmf;  parmfs(2) = sigmas(ii);
parmP2.weight = ones(M,1) ; parmP2.G = Gr;

 %%%%%%%%%%%%%%%%%Solve First Best Case steady state %%%%%%%%% 

trd0 = trd(1);
trdfbss = zeros(T,1);
for nn =1:T
jj =1;   delta_trd=1;

while jj <=JJ  &&  delta_trd >cdelta/2
[xxfb1, ~] = fsolve('ssfb_korv_tt',x1,optionfb,parmfs,parmU,parmP2,...
                                                  talent, parmtt(nn,:,:),qt(nn), trd0);   
 
[test2, trd2, ICff] = ssfb_korv_tt(xxfb1, parmfs, parmU,parmP2, talent,...
                            parmtt(nn,:,:),qt(nn), trd0);
delta_trd =  abs(trd2 - trd0) ;
trd_old = trd0;
trd_new=  (trd2 + trd0)/2;   
trd0 = trd_new;
jj = jj+1;
x1 = xxfb1; % we have to verify ICdiff should be negative

end
errfb(nn) = norm(test2,inf);
trdfbss(nn) = trd0;
icss(:,nn) = ICff.diff;
solfb(nn,:) =xxfb1';     
 
end


[test2, ~, ICff] = ssfb_korv_tt(xxfb1, parmfs, parmU,parmP2, talent,...
                            parmtt(nn,:,:),qt(nn), trd0);
 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 
%  Compute FB  transitional dynamics (without  IC  constraint)
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%% 

optionT = optimset('Display','iter','MaxFunEvals',10^12,...
    'MaxIter',300,'TolFun',1e-6,'LargeScale','on');     % option for solving  transitional dynamics

UBfb = 100*ones(5*T,1);
LBfb = zeros(5*T,1);
                          
optfb = optimset('Display','iter','MaxFunEvals',10^12,...
              'MaxIter',180,'TolFun',1e-6,'LargeScale','on');   
 
 
xfb0 = solfb(:);         % Initial guess from steady state first best
trd_grid = ones(T,3).*threshold0;
trd_trans =  threshold0 ;
 
% Set threshold converge criterion
jj=1; errid =10; JJ = 10;
cdelta2 = (Theta(2) - Theta(1))/2 ;
 
 
tic
 xx= 1; 
dd =1;  DD =20 ;
clc
fprintf("Computing First best transitional dynamics: \n\n")
fprintf('================================\n\n\n')
 while     errid>cdelta2    && dd <DD 
[xxfb1, fbvalt2] = lsqnonlin('Trans_fb_tt',xfb0,LBfb,UBfb,optionT,...      
                       parmfs,parmU,parmP2,K0,talent,parmtt,qt,trd_trans);                   
 
 
[test, trd_new2, ICd,alc] = Trans_fb_tt(xxfb1,parmfs,parmU,parmP2,K0,...
                              talent,parmtt,qt,trd_trans);                             
                   
errid = norm(trd_new2- trd_trans,inf)  ;
dd = dd+1;
xfb0 = xxfb1 ; 
trd_old = trd_trans;
trd_trans = 0.3*trd_new2 + 0.7*trd_trans;
 
  end    

toc
 
fprintf('=========================================\n\n\n')
%save Data/Mirrlees_ext_tmp_a.mat 
%load  Data/Mirrlees_ext_tmp_a.mat
 
%We apply homotopy method to solve extended Mirrleesian model;
bindn = length(find(ICd.diff<0));  
ind_min =   ICd.indu;    % The index always umskilled workers

% Define New group  and set initial guess of IC constraints multipliers
talent_new = groupu(ind_min, talent);
Lambda = zeros(bindn,1) + 0.001;
 
% Define new parameters
IC_delta = -ICd.diff(end-bindn+1:end);

parmP22.weight = ones(length(talent_new),1);
parmP22.G = Gr;

TT =130; 
tr_sb2 =  trd_old(1:TT);  
qtt = qt(1:TT);
% Use first best as initial guess
xsb.Ksp =  alc.Ksp(1:TT);
xsb.Kep = alc.Kep(1:TT);
xsb.C = alc.C(1:TT);
xsb.n=alc.n(ind_min:end,1:TT);
xsb.Lambda = Lambda;
xsb00 = [xsb.Ksp(:);xsb.Kep(:);xsb.C(:);xsb.n(:);xsb.Lambda];
parmtt2 = parmtt(1:TT,:,:);
sn = 10;  
scale =linspace(0.99,0.0 ,sn)';

sbn = length(xsb00); sb_lambdan = length(Lambda);
LBsb = zeros(sbn,1);
UBsb = [100*ones(sbn-sb_lambdan,1) ;  20*ones(sb_lambdan,1)]; 

Delat_IC =IC_delta;%scale(ii)*IC_delta;
 
 
%[testtt,ss,tt,sl] =Trans_ICtt1(xsb00,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC);

 
% Solving the equations,  by applying homotopy method
clc
fprintf('Computing  Mirrleesian tranditional dynamics, part 1 :\n\n')
fprintf('========================================\n\n\n')
 tic
for ii =1:7
clc
fprintf('Computing  Mirrleesian tranditional dynamics, part 1, iteration  %i  \n\n', ii)
fprintf('========================================\n\n\n')
Delat_IC =scale(ii)*IC_delta;
[xt_sb3, fvalt2] = lsqnonlin('Trans_ICtt1',xsb00,LBsb,UBsb,optionT,...     % we use the HP filter qt  
                       parmfs,parmU,parmP22, talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC);
              
 
testtt =Trans_ICtt1(xt_sb3,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC);
norm(testtt,inf)
xsb00 = xt_sb3;
end
toc
 
 

%save Data/Mirrlees_ext_tmp_b.mat
%load Mirrlees_ext_tmp_b.mat

Delat_IC2 = Delat_IC; 
nn =1;
check = find(diff(Delat_IC2)>0);

while ~isempty(check)  &&  nn<= 210
clc
fprintf('Computing  Mirrleesian tranditional dynamics, part 2, iteration  %i  \n\n', nn)    
nn=nn+1; ind3 = max(check);
Delat_IC3= Delat_IC2;   Delat_IC3(ind3+1) =Delat_IC2(ind3);


 [xt_sb3, ~] = lsqnonlin('Trans_ICtt1',xsb00,LBsb,UBsb,optionT,...     
                        parmfs,parmU,parmP22, talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC3);    

%testtt =norm(Trans_ICtt1(xt_sb3,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC3),inf)

Delat_IC2 = Delat_IC3;
xsb00 = xt_sb3;
check = find(diff(Delat_IC2)>0);
end

%save Data/Mirrlees_ext_tmp_c.mat
%load  Data/Mirrlees_ext_tmp_c.mat


optionT2 = optimset('Display','iter','MaxFunEvals',10^12,...
    'MaxIter',300,'TolFun',1e-6,'LargeScale','on');  
check = find(diff(Delat_IC2)>0);
nn2 = 1;
NN =66;

while ~isempty(check)  &&  nn2<= NN
clc
fprintf('Computing  Mirrleesian tranditional dynamics, part 3, iteration  %i  \n\n', nn2)        
nn2=nn2+1; ind3 = max(check);
Delat_IC3= Delat_IC2;   Delat_IC3(ind3+1) =Delat_IC2(ind3);
 [xt_sb3, ~] = lsqnonlin('Trans_ICtt1',xsb00,LBsb,UBsb,optionT2,...     % we use the HP filter qt  
                        parmfs,parmU,parmP22, talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC3);    
%testtt =norm(Trans_ICtt1(xt_sb3,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC3),inf)
Delat_IC2 = Delat_IC3;
xsb00 = xt_sb3;
check = find(diff(Delat_IC2)>0);
end
 
%testtt =norm(Trans_ICtt1(xt_sb3,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delat_IC3),inf)

 [xt_sb3, fvalt3] = lsqnonlin('Trans_ICtt1',xsb00,LBsb,UBsb,optionT2,...    
                        parmfs,parmU,parmP22, talent_new,parmtt2,K0, qtt, tr_sb2, 0*Delat_IC3);    

fprintf('============================\n \n \n')                    
%save Data/Mirrlees_ext_tmp_d.mat
%load  Mirrlees_ext_tmp_d.mat

 
% Recover the allocation,  we have a final allocation to solve, in the
% previous equations, we only solve 24 IC constraints before but we actually have
% 25 IC constraints
[~, ~,alcsb,~] =Trans_ICtt1(xt_sb3,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, 0*Delat_IC3);
% Add the last one IC constraint
xt_sb4 =[alcsb.Ksp;alcsb.Kep;alcsb.C;alcsb.n(:); 0; alcsb.Lambda];
IC4 =  [0;0*Delat_IC3];
ICd4 =norm(Trans_ICtt1(xt_sb4,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, IC4),inf);

% set new upper and lower bound
M2= size(talent_new,2); T2 = length(qtt);
sbn2 = length(xt_sb4); sb_lambdan = length(alcsb.Lambda)+1;
LBsb2 = zeros(sbn2,1);   LBsb2(3*T2+1:3*T2+M2*T2)=0.05;
UBsb2 = [100*ones(sbn2-sb_lambdan,1) ;  20*ones(sb_lambdan,1)]; 
UBsb2(3*T2+1:3*T2+M2*T2)=0.6;
 
Delta_IC4 = [ICd4;0*Delat_IC3]; 
[testtt4, ~,~,~] =Trans_ICtt1(xt_sb4,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delta_IC4);
sp4 = linspace(1,0,100)'; 
 
for nn3 =1:90
clc
fprintf('Computing  Mirrleesian tranditional dynamics, part 4, iteration  %i  \n\n', nn3)        
Delta_IC4 = [ICd4*sp4(nn3);0*Delat_IC3];
[testtt4, ~,~,~] =Trans_ICtt1(xt_sb4,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delta_IC4);

 [xtsolsb, ~] = lsqnonlin('Trans_ICtt1',xt_sb4,LBsb2,UBsb2,optionT,...     
                            parmfs,parmU,parmP22, talent_new,parmtt2,K0, qtt, tr_sb2, Delta_IC4);   

%err = norm(Trans_ICtt1(xtsolsb,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delta_IC4),inf)  ;                
xt_sb4=xtsolsb;
end

 

%save Data/Mirrlees_ext_tmp_e.mat
%load Data/Mirrlees_ext_tmp_e.mat
 
 ctind = [1;find(diff(threshold0)~=0)];  
 
 for nn3 =90:100
 clc
fprintf('Computing  Mirrleesian tranditional dynamics, part 4, iteration  %i  \n\n', nn3)        
Delta_IC4 = [ICd4*sp4(nn3);0*Delat_IC3];
[testtt4, ~,~,~] =Trans_ICtt3(xt_sb4,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delta_IC4,ctind);

 [xtsolsb, ~] = lsqnonlin('Trans_ICtt3',xt_sb4,LBsb2,UBsb2,optionT,...     
                            parmfs,parmU,parmP22, talent_new,parmtt2,K0, qtt, tr_sb2, Delta_IC4,ctind);   
 
            
xt_sb4=xtsolsb;
 end

 
  
 %  The final round
[err,trd_new,~,~] = Trans_ICtt3(xtsolsb,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, tr_sb2, Delta_IC4,ctind);
trd0 = max(threshold0(1:TT),trd_new) ; 
trd1 =0.3*trd0+tr_sb2*0.7;
trd2 = trd0;

jj4=0; NN4=10; 
cdelta = Theta(2)-Theta(1);
errid=1;
xsb00=xtsolsb;
optionT.MaxIter =150;
clc
fprintf('Computing  Mirrleesian tranditional dynamics, part 5 : \n\n\n')   

while jj4 <= NN4  && errid >cdelta
    [xtsolsb2, ~] = lsqnonlin('Trans_ICtt3',xsb00,LBsb2,UBsb2,optionT,...     
                            parmfs,parmU,parmP22, talent_new,parmtt2,K0, qtt, trd2, Delta_IC4,ctind);         
                        
    [testtt, trd_new2,~,~] =Trans_ICtt3(xtsolsb2,parmfs,parmU,parmP22,talent_new,parmtt2,K0, qtt, trd2, Delta_IC4,ctind);  
    errtd = norm(testtt,inf);
    trd_new2=min(trd_new2,trd1);
    xsb00 = xtsolsb2;
    errid = mean(abs(trd_new2 - trd2));
    trd_sb2= trd2;
    trd2 = 0.3*trd_new2+0.7*trd2;

end


   

[testtt, trd_new2,alcsb2,taxsb] =Trans_ICtt3(xtsolsb2,parmfs,parmU,parmP22,...
      talent_new,parmtt2,K0, qtt, trd_sb2, Delta_IC4,ctind);  
  
%%  
% Save the result  
save Mirrlees_ext.mat
%load Create_figure\Mirrlees_ext.mat


%% function part
function [talent_new] = groupu(ind, talent)
% ind is index define the highest talent doing unskilled task

Theta =  talent(:,1);  PI = talent(:,2);  M= length(Theta);
FPI =cumsum(PI);
index0 = min(ind) ; 
PI_new = [FPI(index0); PI(index0+1:M)];
Theta_new = Theta(index0:M);
talent_new = [Theta_new, PI_new];

end

 