%  Compute  Transitional dynamics in Ramsey extension case
%  check in 2021.09.22
load CEext.mat 
T = length(q);
qt =q;
 
% Productivity
ps = parmtz(:,:,2) ;   
pu = parmtz(:,:,1);

parmtt = parmtz;
M = length(talent);
Theta = talent(:,1);    PI = talent(:,2); FPI = cumsum(PI);  
cdelta = Theta(2) - Theta(1);
 
% Type;
M2 = 40;  Theta2 = linspace(Theta(1), Theta(end), M2)';  
PI2 = ones(M2,1)/M2; 
FPI2 = cumsum(PI2); talent2 =[Theta2, PI2];

 
% Threshold and index
cdelta2 = Theta2(2) - Theta2(1);
trd = threshold0;
index2 =  floor((trd - Theta2(1))/cdelta2)+2;
piut  = FPI2(index2-1);   pist  =   1-piut;


zstv =lprod(Theta2,parmtt(:,:,2));
zutv =lprod(Theta2,parmtt(:,:,1));
[Sindx, Uindx, PIS, PIU] = indf(index2', PI2);
zst = sum(zstv.*PIS)'./ sum(PIS)'; zut = sum(zutv.*PIU)'./sum(PIU)';

 
% Planner weight and Government expenditure
parmp.weight = ones(M2,1);
parmp.G= parmT(4);
parmp.tk = parmT(2);
psis =1; psiu =1;
parmP =[psis;psiu;Gr ;parmT(1)];  
 
%load dataid
optionfb = optimset('Display','off' ,'MaxIter',2e3); 
guess = reshape(xce(1:5*T)  ,T,5);
nk =1; x1 = guess(nk,1:5)';  x1(4) = x1(4) ;  
 
 
[x0,~] = fsolve('ssfb_korv',x1,optionfb,parmf,parmU,parmP,...
                                                pist(nk),piut(nk),zst(nk),zut(nk),qt(nk));
 
 
 
errt= zeros(T,1);
Xtfb = zeros(T,5); 
Xtfb2 = zeros(T,5);
JJ =10; 

for jj =1:T
zj =1; delta_trd = 100;
while zj <= JJ &&  delta_trd> cdelta2/2
[x2,b1] = fsolve('ssfb_korv_tt',x0,optionfb,parmf,parmU,parmp,...
                                                talent2,parmtt(jj,:,:),qt(jj),trd(jj));
                         

[testss, trd_new]= ssfb_korv_tt(x2,parmf,parmU,parmp, talent2,parmtt(jj,:,:),qt(jj),trd(jj));

delta_trd =  abs(trd_new - trd(jj)) ;

trd(jj) =  (trd_new + trd(jj))/2;
zj = zj +1;
x0 = x2;
end

errt(jj) = norm(testss,inf);
Xtfb(jj,:) =  x2';
 
end

 
% Transitional dynamic  First best case
xguess0 = Xtfb(:);    
iniK0 = K00;  % initial capital
 
UBfb = 100*ones(5*T,1);
LBfb = zeros(5*T,1);                   
optfb = optimset('Display','iter','MaxFunEvals',10^12,...
              'MaxIter',180,'TolFun',1e-6,'LargeScale','on');   
        
 
% solve  first best case without  implementabiltiy constraints          
 [xfbt, erfb1] = lsqnonlin('Trans_fb_tt', xguess0, LBfb,UBfb,optfb,...
                                      parmf,parmU,parmp,iniK0 , ...
                                      talent2,parmtt,qt,trd);

 
%save Data/Ramsey_ext_tmp_a
  
% Separate labor tax case
phi = parmp.weight; 
Psi = zeros(M2,1);
LT =0;
trd1 = trd;
xguess2 = [xfbt; phi;Psi;LT];
dfa1 = interp1( talent(:,1),dfa0, talent2(:,1));

          

UBR1t = 100*ones(length(xguess2),1);
LBR1t  = [LBfb;  -10*ones(M2,1);  -100*ones(M2,1); -100 ];
optfb2 = optimset('Display','iter','MaxFunEvals',10^12,...
              'MaxIter',300,'TolFun',1e-6,'LargeScale','on');   
          
optfb3 = optimset('Display','iter','MaxFunEvals',10^12,...
              'MaxIter',250,'TolFun',1e-6,'LargeScale','on');   
 
 [xrt1, ~] = lsqnonlin('solve_Ramsy1_tt', xguess2, LBR1t,UBR1t,optfb2,...
                                     parmf,parmU,parmp,parmtt,talent2, ...
                                      iniK0, dfa1, qt ,trd1);
                      

[~,xy] =solve_Ramsy1_tt(xrt1,parmf,parmU,parmp,parmtt,talent2, iniK0, dfa1, qt ,trd1);
 
 
%save Data/Ramsey_ext_tmp_b
%load Data/Ramsey_ext_tmp_b.mat
trd1 = (xy + trd1)/2;
xguess2 = xrt1;

[xrt1, ~] = lsqnonlin('solve_Ramsy1_tt', xguess2, LBR1t,UBR1t,optfb2,...
                                      parmf,parmU,parmp,parmtt,talent2, ...
                                       iniK0, dfa1, qt ,trd1);
                                  
                                   
 
%save Data/Ramsey_ext_tmp_c.mat
%load Data/Ramsey_ext_tmp_c.mat
 

 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 %   Single labor tax  case
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
[a,b] = solve_Ramsy1_tt(xrt1, parmf,parmU,parmp,parmtt,talent2,...
                                               iniK0, dfa1, qt ,trd1 );
 
MP = zeros(T,1) +0.02;
xguess3 = [xrt1(1:5*T);MP;xrt1(5*T+1:end)];

trd1 = threshold0  ;
[test3, trtest] = solve_Ramsy_tt(xguess3,parmf,parmU,parmp,parmtt,talent2,...
                                               iniK0, dfa1, qt ,trd1 );
 
UBRt = 100*ones(length(xguess3),1);
LBRt  = [LBfb;  zeros(T,1);-10*ones(M2,1);  -100*ones(M2,1); -100 ];

 
zi =1;  
tic

 [xrt2, ert1] = lsqnonlin('solve_Ramsy_tt', xguess3, LBRt,UBRt,optfb3,...
                                     parmf,parmU,parmp,parmtt,talent2, ...
                                      iniK0, dfa1, qt ,trd1);
                      
[xx,xy] =solve_Ramsy_tt(xrt2,parmf,parmU,parmp,...
                                        parmtt,talent2, iniK0, dfa1, qt ,trd1);
norm(xx,inf)                                    
dtrd = mean(abs(xy-trd1)); %
trd_old = trd1;
 
toc    

  
[xx,~,alcr, taxr] =solve_Ramsy_tt(xrt2,parmf,parmU,parmp,parmtt,talent2, ...
                            iniK0, dfa1, qt ,trd_old);
 
save('Ramsey_ext.mat');

 

 